<?php

require __DIR__ . '/vendor/autoload.php';

date_default_timezone_set('Asia/Karachi');

if(isset($_GET['orderDetail']) != ""){
    $orderDetail = $_GET['orderDetail'];
    $mobile = $_GET['mobile'];
    $message = "";
    $totalItem = 0;
    $totalPrice = 0;
    $received_order = json_decode($orderDetail, true);
    $catalog_id = $received_order["catalog_id"];
    
    $product_items = $received_order["product_items"];
    $message .= "Thank you for your order, it will be delivered to you within 24 working hours. Payment will be collected on delivery.\r\nشكرًا لك على طلبك، سيتم توصيله إليك خلال 24 ساعة عمل. سيتم تحصيل الدفع عند التسليم\r\n\r\n";
    $message .= "*Order Details:*\r\n*تفاصيل الطلب*\r\n";
    // $message .= "*Order Details:*\r\n*تفاصيل الطلب:*\r\n";
    foreach ($product_items as $product) {
        // $message .= "Product Retailer ID: " . $product["product_retailer_id"] . "\r\n";
        // $message .= "Quantity: " . $product["quantity"] . "\r\n";
        // $message .= "Item Price: " . $product["item_price"] . "\r\n";
        // $message .= "Currency: " . $product["currency"] . "\r\n";
        // $message .= "\r\n";
        $totalItem += $product["quantity"];
        $totalPrice += $product["item_price"] * $product["quantity"];

        $client = new \Google_Client();
        $client->setApplicationName('test project');
        $client->setScopes([\Google_Service_Sheets::SPREADSHEETS]);
        $client->setAccessType('offline');
        $client->setAuthConfig(__DIR__.'/credentials.json');
        $service = new Google_Service_Sheets($client);
        $spreadsheet_Id = "1YXKEQFc4Usw_-42cdz9U1PUj9VvkWZ4zFETMp_G4JMc";
        
        $range = "Orders!A1:F1";
        $values = [
            [$product['product_retailer_id'],$product['quantity'],$product['item_price'],$product['currency'],$mobile,date('Y-m-d H:i:s')],
        ];
        
        $body = new Google_Service_Sheets_ValueRange([
            'values' => $values
        ]);
        
        $params = [
            'valueInputOption' => 'RAW'
        ];
        
        $insert = [
            "insertDataOption" => "INSERT_ROWS"
        ];
        
        $result = $service->spreadsheets_values->append(
            $spreadsheet_Id,
            $range,
            $body,
            $params,
            $insert
        );
    }
    $message .= "Total Items (إجمالي العناصر): ".$totalItem."\r\n";
    $message .= "Total Price (السعر الكلي): ".$totalPrice."\r\n";
    echo $message;
    // print_r($values);
} else {
    echo "Error occured, Params missing.";
}


// if(isset($_GET['product_Retailer_ID']) != "" && isset($_GET['quantity']) != "" && isset($_GET['item_Price']) != "" && isset($_GET['currency']) != "" && isset($_GET['customer_Mobile_No']) != ""){
//     $product_Retailer_ID = $_GET['product_Retailer_ID'];
//     $quantity = $_GET['quantity'];
//     $item_Price = $_GET['item_Price'];
//     $currency = $_GET['currency'];
//     $customer_Mobile_No = $_GET['customer_Mobile_No'];
//     $order_Date = date('Y-m-d H:i:s');

//     $client = new \Google_Client();
//     $client->setApplicationName('test project');
//     $client->setScopes([\Google_Service_Sheets::SPREADSHEETS]);
//     $client->setAccessType('offline');
//     $client->setAuthConfig(__DIR__.'/credentials.json');
//     $service = new Google_Service_Sheets($client);
//     $spreadsheet_Id = "1YXKEQFc4Usw_-42cdz9U1PUj9VvkWZ4zFETMp_G4JMc";
    
//     $range = "Orders!A1:G1";
//     $values = [
//         [$product_Retailer_ID,$quantity,$item_Price,$currency,$customer_Mobile_No,$order_Date],
//     ];
    
//     $body = new Google_Service_Sheets_ValueRange([
//         'values' => $values
//     ]);
    
//     $params = [
//         'valueInputOption' => 'RAW'
//     ];
    
//     $insert = [
//         "insertDataOption" => "INSERT_ROWS"
//     ];
    
//     $result = $service->spreadsheets_values->append(
//         $spreadsheet_Id,
//         $range,
//         $body,
//         $params,
//         $insert
//     );
    
//     return true;
    
// } else {
//     echo "Error occured, Params missing.";
// }