<?php

require __DIR__ . '/vendor/autoload.php';

date_default_timezone_set('Asia/Karachi');

if(isset($_GET['product_Retailer_ID']) != "" && isset($_GET['quantity']) != "" && isset($_GET['item_Price']) != "" && isset($_GET['currency']) != "" && isset($_GET['customer_Name']) != "" && isset($_GET['customer_Mobile_No']) != ""){
    $product_Retailer_ID = $_GET['product_Retailer_ID'];
    $quantity = $_GET['quantity'];
    $item_Price = $_GET['item_Price'];
    $currency = $_GET['currency'];
    $customer_Name = $_GET['customer_Name'];
    $customer_Mobile_No = $_GET['customer_Mobile_No'];
    $order_Date = date('Y-m-d H:i:s');

    $client = new \Google_Client();
    $client->setApplicationName('test project');
    $client->setScopes([\Google_Service_Sheets::SPREADSHEETS]);
    $client->setAccessType('offline');
    $client->setAuthConfig(__DIR__.'/credentials.json');
    $service = new Google_Service_Sheets($client);
    $spreadsheet_Id = "1YXKEQFc4Usw_-42cdz9U1PUj9VvkWZ4zFETMp_G4JMc";
    
    $range = "Orders!A1:G1";
    $values = [
        [$product_Retailer_ID,$quantity,$item_Price,$currency,$customer_Name,$customer_Mobile_No,$order_Date],
    ];
    
    $body = new Google_Service_Sheets_ValueRange([
        'values' => $values
    ]);
    
    $params = [
        'valueInputOption' => 'RAW'
    ];
    
    $insert = [
        "insertDataOption" => "INSERT_ROWS"
    ];
    
    $result = $service->spreadsheets_values->append(
        $spreadsheet_Id,
        $range,
        $body,
        $params,
        $insert
    );
    
    return true;
    
} else {
    echo "Error occured, Params missing.";
}